Package org.bukkit.block.data

# Interface FaceAttachable

All Superinterfaces:
  `BlockData`, `Cloneable`

All Known Subinterfaces:
  `Grindstone`, `Switch`

public interface FaceAttachable extends BlockData
'face' represents the face to which a lever or button is stuck.
This is used in conjunction with `Directional` to compute the orientation of these blocks.

## Nested Class Summary

Nested Classes
Modifier and Type
Interface
Description
`static enum`
`FaceAttachable.AttachedFace`
The face to which a switch type block is stuck.

## Method Summary

Modifier and Type
Method
Description
`@NotNull FaceAttachable.AttachedFace`
`getAttachedFace()`
Gets the value of the 'face' property.
`void`
`setAttachedFace(@NotNull FaceAttachable.AttachedFace face)`
Sets the value of the 'face' property.

### Methods inherited from interface org.bukkit.block.data.BlockData

`clone, getAsString, getAsString, getMaterial, getSoundGroup, matches, merge`

## Method Details

### getAttachedFace

@NotNull @NotNull FaceAttachable.AttachedFace getAttachedFace()
Gets the value of the 'face' property.

Returns:
  the 'face' value

### setAttachedFace

void setAttachedFace(@NotNull @NotNull FaceAttachable.AttachedFace face)
Sets the value of the 'face' property.

Parameters:
  `face` - the new 'face' value